LINTIAN-EXPLAIN-TAGS(1)

NAME
lintian-explain-tags - offer more information about Lintian's tags

SYNOPSIS
lintian-explain-tags tag ...

DESCRIPTION
The lintian-explain-tags command explains the named tags given on the command line.

OPTIONS

-l, --list-tags
    List all tags Lintian knows about in sorted order.

-h, --help
    Display usage information and exit.

--include-dir dir
    Use dir as an additional "Lintian root". The directory is expected have a similar layout to the LINTIAN_BASE (if it exists), but does not need to be a full self-contained root.

    Unlike lintian, lintian-explain-tags will not load any code from these additional directories.

    This option may appear more than once; each time adding an additional directory.

--profile prof
    Use the severities from the vendor profile prof when displaying tags. If the profile name does not contain a slash, the default profile for that vendor is chosen.

    If not specified, lintian-explain-tags loads the best profile for the current vendor.

    Please Refer to the Lintian User Manual for the full documentation of profiles.

-t, --tag, --tags
    This option has no effect. It exists for historical reasons.

--user-dirs, --no-user-dirs
    By default, lintian will check $HOME and /etc for files supplied by the user or the local sysadmin (e.g. profiles). This default can be disabled (and re-enabled) by using --no-user-dirs (and --user-dirs, respectively).

    These option can appear multiple times, in which case the of them to appear determines the result.

EXIT STATUS
If any of the tags specified were not found in the specified profile (or in the default profile), this command returns with exit code 1.

When all requested tags were found, it returns with exit code 0.

SEE ALSO
lintian(1)

AUTHORS
Niels Thykier <niels@thykier.net>

Richard Braakman <dark@xs4all.nl>

Christian Schwarz <schwarz@monet.m.isar.de>